import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _createSuper from "@babel/runtime/helpers/esm/createSuper";

/**
 * 选择关联标签
 */
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { Tag } from 'antd'; //封装组件

var SelectTag = /*#__PURE__*/function (_Component) {
  _inherits(SelectTag, _Component);

  var _super = _createSuper(SelectTag);

  function SelectTag() {
    _classCallCheck(this, SelectTag);

    return _super.apply(this, arguments);
  }

  _createClass(SelectTag, [{
    key: "render",
    value: function render() {
      var _this = this;

      var value = this.props.value;
      if (!value) return null;
      return /*#__PURE__*/React.createElement("div", null, value.map(function (item, index) {
        return /*#__PURE__*/React.createElement(Tag, {
          closable: true,
          key: index,
          onClose: function onClose(e) {
            return _this.handleRemove(e, item.value);
          }
        }, item.text);
      }));
    }
  }, {
    key: "handleRemove",
    value: function handleRemove(e, itemVal) {
      var _this$props = this.props,
          value = _this$props.value,
          onChange = _this$props.onChange;
      e.preventDefault();
      onChange(value.filter(function (item) {
        return item.value !== itemVal;
      }));
    }
  }]);

  return SelectTag;
}(Component);

SelectTag.propTypes = {
  value: PropTypes.array,
  onChange: PropTypes.func
};
export default SelectTag;