"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _antd = require("antd");

/**
 * 关键字搜索
 */
var Option = _antd.Select.Option;
var style = {
  width: '97%'
};

var SelectKeyWord = /*#__PURE__*/function (_Component) {
  (0, _inherits2.default)(SelectKeyWord, _Component);

  var _super = (0, _createSuper2.default)(SelectKeyWord);

  function SelectKeyWord(props) {
    var _this;

    (0, _classCallCheck2.default)(this, SelectKeyWord);
    _this = _super.call(this, props);
    _this.handleChangeKeyWord = _this.handleChangeKeyWord.bind((0, _assertThisInitialized2.default)(_this));
    _this.handleInput = _this.handleInput.bind((0, _assertThisInitialized2.default)(_this));
    return _this;
  }

  (0, _createClass2.default)(SelectKeyWord, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          keyWord = _this$props.keyWord,
          value = _this$props.value,
          isDefaultOption = _this$props.isDefaultOption,
          defaultval = _this$props.defaultval,
          defaultStr = _this$props.defaultStr;
      return /*#__PURE__*/_react.default.createElement(_antd.Row, null, /*#__PURE__*/_react.default.createElement(_antd.Col, {
        span: 11
      }, /*#__PURE__*/_react.default.createElement(_antd.Select, {
        allowClear: true,
        placeholder: "\u8BF7\u9009\u62E9",
        style: style,
        value: value && value[0] ? value[0] : [],
        onChange: this.handleChangeKeyWord
      }, isDefaultOption ? null : /*#__PURE__*/_react.default.createElement(Option, {
        value: defaultval || ''
      }, defaultStr || '请选择'), keyWord.map(function (item) {
        return /*#__PURE__*/_react.default.createElement(Option, {
          key: item.value,
          value: item.value
        }, item.text);
      }))), /*#__PURE__*/_react.default.createElement(_antd.Col, {
        span: 13
      }, /*#__PURE__*/_react.default.createElement(_antd.Input, {
        style: style,
        value: value && value[1] ? value[1] : '',
        onChange: this.handleInput,
        placeholder: "\u8BF7\u8F93\u5165\u5173\u952E\u8BCD"
      })));
    }
  }, {
    key: "handleChangeKeyWord",
    value: function handleChangeKeyWord(data) {
      var _this$props2 = this.props,
          onChange = _this$props2.onChange,
          value = _this$props2.value;
      onChange([data, value && value[1] ? value[1] : '']);
    }
  }, {
    key: "handleInput",
    value: function handleInput(e) {
      var _this$props3 = this.props,
          value = _this$props3.value,
          onChange = _this$props3.onChange;
      onChange([value[0], e.target.value]);
    }
  }]);
  return SelectKeyWord;
}(_react.Component);

SelectKeyWord.propTypes = {
  keyWord: _propTypes.default.array.isRequired,
  onChange: _propTypes.default.func,
  value: _propTypes.default.array,
  isDefaultOption: _propTypes.default.bool,
  defaultStr: _propTypes.default.string,
  defaultval: _propTypes.default.string
};
var _default = SelectKeyWord;
exports.default = _default;