"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _antd = require("antd");

/**
 * 选择关联标签
 */
//封装组件
var SelectTag = /*#__PURE__*/function (_Component) {
  (0, _inherits2.default)(SelectTag, _Component);

  var _super = (0, _createSuper2.default)(SelectTag);

  function SelectTag() {
    (0, _classCallCheck2.default)(this, SelectTag);
    return _super.apply(this, arguments);
  }

  (0, _createClass2.default)(SelectTag, [{
    key: "render",
    value: function render() {
      var _this = this;

      var value = this.props.value;
      if (!value) return null;
      return /*#__PURE__*/_react.default.createElement("div", null, value.map(function (item, index) {
        return /*#__PURE__*/_react.default.createElement(_antd.Tag, {
          closable: true,
          key: index,
          onClose: function onClose(e) {
            return _this.handleRemove(e, item.value);
          }
        }, item.text);
      }));
    }
  }, {
    key: "handleRemove",
    value: function handleRemove(e, itemVal) {
      var _this$props = this.props,
          value = _this$props.value,
          onChange = _this$props.onChange;
      e.preventDefault();
      onChange(value.filter(function (item) {
        return item.value !== itemVal;
      }));
    }
  }]);
  return SelectTag;
}(_react.Component);

SelectTag.propTypes = {
  value: _propTypes.default.array,
  onChange: _propTypes.default.func
};
var _default = SelectTag;
exports.default = _default;