# knk

[![npm version][npm-image]][npm-url] [![mnt-image](https://img.shields.io/maintenance/yes/2021.svg?style=flat-square)](../../commits/master) 
[![npm download][download-image]][download-url] [![dumi](https://img.shields.io/badge/docs%20by-dumi-blue?style=flat-square)](https://github.com/umijs/dumi)

[npm-image]: http://img.shields.io/npm/v/knk.svg?style=flat-square
[npm-url]: http://npmjs.org/package/knk
[download-image]: https://img.shields.io/npm/dm/knk.svg?style=flat-square
[download-url]: https://npmjs.org/package/knk
[bundlephobia-url]: https://bundlephobia.com/result?p=knk
[bundlephobia-image]: https://badgen.net/bundlephobia/minzip/knk

> react components based on react

## 📍 如何使用

### 安装

```bash
npm i knk
## or
yarn add knk
```

### 使用

[快速开始 →](https://ipr-fe.gitee.io/knk/)

## 📐 组件看板

- [SelectKeyWord 选择关键字](https://ipr-fe.gitee.io/knk/components/select_keyword)
- [SelectTag 选择标签](https://ipr-fe.gitee.io/knk/components/select_tag)
- [AjaxSelect 异步选择](https://ipr-fe.gitee.io/knk/components/ajax_select)
- [CommonTable 通用表格](https://ipr-fe.gitee.io/knk/components/common_table)

## 🖥 浏览器兼容性

- 现代浏览器和 Internet Explorer 11 (with [polyfills](https://stackoverflow.com/questions/57020976/polyfills-in-2019-for-ie11))

| ![](https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png)<br>IE / Edge | ![](https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png)<br>Firefox | ![](https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png)<br>Chrome | ![](https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png)<br>Safari |
| ------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| IE11, Edge                                                                                             | last 2 versions                                                                                            | last 2 versions                                                                                         | last 2 versions                                                                                               |

## LICENSE

[ISC](https://git.zhubajie.la/ipr-fe/knk/blob/master/LICENSE)